import request from '@/utils/request'

// 查询钥匙柜操作记录列表
export function listKeyCaseOperLog (query) {
  return request({
    url: '/clw/keyCaseOperLog/list',
    method: 'get',
    params: query
  })
}

// 查询钥匙柜操作记录详细
export function getKeyCaseOperLog (boxId) {
  return request({
    url: '/clw/keyCaseOperLog/' + boxId,
    method: 'get'
  })
}

// 新增钥匙柜操作记录
export function addKeyCaseOperLog (data) {
  return request({
    url: '/clw/keyCaseOperLog',
    method: 'post',
    data: data
  })
}

// 修改钥匙柜操作记录
export function updateKeyCaseOperLog (data) {
  return request({
    url: '/clw/keyCaseOperLog',
    method: 'put',
    data: data
  })
}

// 删除钥匙柜操作记录
export function delKeyCaseOperLog (boxId) {
  return request({
    url: '/clw/keyCaseOperLog/' + boxId,
    method: 'delete'
  })
}
// 所有柜子
export function getKeyCaseBoxInfo () {
  return request({
    url: '/clw/keyCaseOperLog/boxInfo',
    method: 'get'
  })
}
// 车牌
export function getKeyCaseCarInfo () {
  return request({
    url: '/clw/keyCaseOperLog/carInfo',
    method: 'get'
  })
}
// 用户
export function getKeyCaseUserInfo () {
  return request({
    url: '/clw/keyCaseOperLog/userInfo',
    method: 'get'
  })
}
//钥匙柜操作记录
// export function keyCaseOperLog (boxId) {
//   return request({
//     url: '/clw/keyCaseOperLog/'+ boxId,
//     method: 'get'
//   })
// }